Message.Direction (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.transport

## Enum Message.Direction

- java.lang.Object
- - java.lang.Enum<Message.Direction>
  - - org.apache.cassandra.transport.Message.Direction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Message.Direction>
  Enclosing class:
    Message

      public static enum Message.Direction
      extends java.lang.Enum<Message.Direction>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `REQUEST`
    `RESPONSE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addToVersion(int rawVersion)`
    `static Message.Direction` | `extractFromVersion(int versionWithDirection)`
    `static Message.Direction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Message.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REQUEST

          public static final Message.Direction REQUEST

    - #### RESPONSE

          public static final Message.Direction RESPONSE

  - ### Method Detail

    - #### values

          public static Message.Direction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Message.Direction c : Message.Direction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Message.Direction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### extractFromVersion

          public static Message.Direction extractFromVersion(int versionWithDirection)

    - #### addToVersion

          public int addToVersion(int rawVersion)

Copyright © 2018 The Apache Software Foundation